# title of this site
# TODO:
title: LONG FORM BLOG

# subtitle
# TODO: 
subtitle: Sample Subtitle

nav:
  home: Home

# site description
# TODO:
description: Sample description

# used on the home page's title tag
# TODO:
tagline: Sample tagline

# if specified url to this website will be computed as
# https://blog.example.com/valueofbaseurl/
# TODO:
baseurl: ""
url: "https://blog.example.com"

# used in footer
# TODO
copyright_owner:
  full_name: Your Name
  short_name: your_short_name
  email: youremail@example.com

# default author's name
# used in posts, pages and blogs
# TODO
author:
  short_name: your_short_name
  full_name: Your Full Name
  email: youremail at example dot com

# used in footer of every post, page and blog
# TODO: optional
license:
  name: MIT
  url: https://opensource.org/licenses/MIT

# timezone
tz: America/New York

# 
jekyll_theme_isabelline:
  name: Jekyll theme «Isabelline»
  url: https://github.com/rzen/jekyll-theme-isabelline

# used for edit link in the footer
# leave blank to disable edit link
# TODO: optional
# edit_url: https://github.com/path_to_repo/_edit/master/

# google analytics
# TODO:
# google_analytics_token: 'UA-00000000-1' # leave blank if you don't want google analytics

# 
# disqus_short_name: 'your_short_name' # leave blank if you don't want disqus


# advanced

collections:
  blog:
    permalink: /:collection/:title/
    output: true
  links:
    permalink: /link/:title/
    output: true
  posts:
    # permalink: /post/:title/
    output: true
  pages:
    permalink: /:title/
    output: true
  private:
    permalink: /:collection/:title/
    output: true

theme: jekyll-theme-isabelline

defaults:
  - scope:
      type: blog
    values:
      layout: post

plugins:
  - rouge
  - jekyll-tidy
  - jekyll/tagging
  - jekyll-mentions
  - jekyll-sitemap
  - jekyll-feed
  - jekyll-seo-tag  # https://github.com/jekyll/jekyll-seo-tag

# tag_page_layout: tag_page
# tag_page_dir: tag

# tag_page: /tags/
# category_page: /categories/
# tag_permalink_style: pretty

tag_page_layout: tags
tag_page_dir: tags

# a superset flavor of Markdown
# https://kramdown.gettalong.org
kramdown:
  auto_ids: true
  syntax_highlighter_opts:
    block:
      default_lang: javascript
      line_numbers: true
    span:
      line_numbers: false

# generated html will be "compressed" by removing
# semantically superfluous whitespace
jekyll_tidy:
  compress_html: true

# sass
sass:
  sass_dir: _sass
  style: compressed

# include: ["_pages", "_blog", ]

# dont move the following to _site/
exclude: ["docker-compose.yaml", "Gemfile.lock", "Gemfile", "*.gem"]